Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1036731 - [RFE] Hosted Engine on FC [NEEDINFO]
Summary: [RFE] Hosted Engine on FC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-hosted-engine-ha
Classification: oVirt
Component: Broker
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ovirt-3.6.0-rc
: 2.0.0
Assignee: Martin Sivák
QA Contact: Elad
URL:
Whiteboard:
Depends On: 1080402 1092166 1099882 1104672 1124372 1208458 1213307 1215039 1215623 1220152 1220824 1222010 1227466 1229396 1232753 1242215 1242448 1242554 1247942 1251752
Blocks: 1153278 1234915
TreeView+ depends on / blocked
 
Reported: 2013-12-02 14:21 UTC by Scott Herold
Modified: 2016-03-01 10:10 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Hosted Engine on SAN Reason: Result (if any):
Clone Of:
: 1067162 1153278 (view as bug list)
Environment:
Last Closed: 2016-02-10 12:51:47 UTC
oVirt Team: SLA
ylavi: needinfo? (wdaniel)
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 37830 master MERGED packaging: setup: add FC Support Never

Description Scott Herold 2013-12-02 14:21:10 UTC
Description of problem:

Enable Hosted Engine Configuration when environment is configured with SAN Storage Backend (iSCSI, FC).

Comment 1 Doron Fediuck 2014-06-25 08:26:30 UTC
To complete this issue we're missing FC support which will be added in 3.6.0.

Comment 2 Martin Sivák 2014-07-03 12:53:22 UTC
Please keep sla in the whiteboard as we are responsible for the hosted engine side of implementation. (Storage helps with the vdsm part)

Comment 4 Sandro Bonazzola 2015-02-18 14:51:09 UTC
As far as I can tell, no changes are needed in HA.
Simone, can you confirm?

Comment 5 Simone Tiraboschi 2015-02-18 14:58:35 UTC
Actually it seams to work as expected

Comment 6 Elad 2015-06-14 11:34:17 UTC
Tested Hosted-engine deployment over FC using ovirt-3.6 nightly (installed using repos from http://resources.ovirt.org/pub/yum-repo/ovirt-release36.rpm).

Deployment succeeded, but after it, both ovirt-ha-broker and ovirt-ha-agent were down due to https://bugzilla.redhat.com/show_bug.cgi?id=1229396.
After I started both services, host came up as Non-operational:
status='NonOperational', nonOperationalReason='EMULATED_MACHINES_INCOMPATIBLE_WITH_CLUSTER_LEVEL
 (also because of https://bugzilla.redhat.com/show_bug.cgi?id=1229396).

Also, the hosted-engine VM cannot be added to the setup (due to https://bugzilla.redhat.com/show_bug.cgi?id=1222010).
:

2015-06-10 08:27:07,061 WARN  [org.ovirt.engine.core.bll.AddVmFromScratchCommand] (DefaultQuartzScheduler_Worker-40) [5b2d0f75] CanDoAction of action 'AddVmFromScratch' failed for user SYSTEM. Reasons: VAR__ACTION__ADD,VAR__TYPE__VM,ACTION_TYPE_FAILED_IMAGE_REPOSITORY_NOT_FOUND

Comment 7 Elad 2015-07-29 13:27:38 UTC
Tested the feature using ovirt-3.6.0-3 and ovirt-3.6.0-4

Test run:
https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=3_6_Storage_Hosted_Engine_FC_support_run1

The basic positive flow works fine (deployment of hosted-engine over FC with a single host).

The following bugs were reported:
https://bugzilla.redhat.com/show_bug.cgi?id=1247942
https://bugzilla.redhat.com/show_bug.cgi?id=1242448
https://bugzilla.redhat.com/show_bug.cgi?id=1242554

Comment 8 Red Hat Bugzilla Rules Engine 2015-10-18 08:34:02 UTC
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.

Comment 10 Elad 2016-01-24 14:01:16 UTC
Moving RFE to VERIFIED, executed the following test run on Polarion:

https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=3_6_Storage_Hosted_Engine_FC_support_run_24_01_16


Tested using:
Host:

ovirt-hosted-engine-ha-1.3.3.7-1.el7ev.noarch
libgovirt-0.3.3-1.el7_2.1.x86_64
ovirt-vmconsole-1.0.0-1.el7ev.noarch
ovirt-host-deploy-1.4.1-1.el7ev.noarch
ovirt-setup-lib-1.0.1-1.el7ev.noarch
ovirt-vmconsole-host-1.0.0-1.el7ev.noarch
ovirt-hosted-engine-setup-1.3.2.3-1.el7ev.noarch
vdsm-jsonrpc-4.17.18-0.el7ev.noarch
vdsm-python-4.17.18-0.el7ev.noarch
vdsm-hook-vmfex-dev-4.17.18-0.el7ev.noarch
vdsm-cli-4.17.18-0.el7ev.noarch
vdsm-yajsonrpc-4.17.18-0.el7ev.noarch
vdsm-xmlrpc-4.17.18-0.el7ev.noarch
vdsm-4.17.18-0.el7ev.noarch
vdsm-infra-4.17.18-0.el7ev.noarch


Engine:

ovirt-engine-extension-aaa-jdbc-1.0.5-1.el6ev.noarch
ovirt-host-deploy-1.4.1-1.el6ev.noarch
ovirt-vmconsole-1.0.0-1.el6ev.noarch
ovirt-host-deploy-java-1.4.1-1.el6ev.noarch
rhevm-setup-plugin-ovirt-engine-common-3.6.2.6-0.1.el6.noarch
ovirt-vmconsole-proxy-1.0.0-1.el6ev.noarch
rhevm-setup-plugin-ovirt-engine-3.6.2.6-0.1.el6.noarch
ovirt-setup-lib-1.0.1-1.el6ev.noarch
rhevm-setup-plugin-websocket-proxy-3.6.2.6-0.1.el6.noarch
rhevm-vmconsole-proxy-helper-3.6.2.6-0.1.el6.noarch
rhevm-spice-client-x86-msi-3.6-6.el6.noarch
rhevm-lib-3.6.2.6-0.1.el6.noarch
rhevm-cli-3.6.0.0-1.el6ev.noarch
rhevm-webadmin-portal-3.6.2.6-0.1.el6.noarch
rhevm-tools-3.6.2.6-0.1.el6.noarch
rhevm-iso-uploader-3.6.0-1.el6ev.noarch
rhevm-doc-3.6.0-2.el6eng.noarch
rhevm-backend-3.6.2.6-0.1.el6.noarch
rhevm-setup-3.6.2.6-0.1.el6.noarch
rhevm-spice-client-x64-cab-3.6-6.el6.noarch
rhevm-userportal-3.6.2.6-0.1.el6.noarch
rhevm-image-uploader-3.6.0-1.el6ev.noarch
rhevm-branding-rhev-3.6.0-3.el6ev.noarch
rhevm-sdk-python-3.6.2.1-1.el6ev.noarch
rhevm-log-collector-3.6.0-1.el6ev.noarch
rhevm-dependencies-3.6.0-1.el6ev.noarch
rhevm-setup-plugin-ovirt-engine-common-3.6.2.6-0.1.el6.noarch
rhevm-dbscripts-3.6.2.6-0.1.el6.noarch
rhevm-setup-plugins-3.6.1-2.el6ev.noarch
rhevm-spice-client-x64-msi-3.6-6.el6.noarch
rhevm-restapi-3.6.2.6-0.1.el6.noarch
rhevm-setup-plugin-ovirt-engine-3.6.2.6-0.1.el6.noarch
rhevm-3.6.2.6-0.1.el6.noarch
rhevm-setup-base-3.6.2.6-0.1.el6.noarch
rhevm-extensions-api-impl-3.6.2.6-0.1.el6.noarch
rhevm-websocket-proxy-3.6.2.6-0.1.el6.noarch
rhevm-setup-plugin-vmconsole-proxy-helper-3.6.2.6-0.1.el6.noarch
rhevm-spice-client-x86-cab-3.6-6.el6.noarch


Note You need to log in before you can comment on or make changes to this bug.